* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: Arial, sans-serif;
    background-color: #f5f7fa;
    color: #222;
    line-height: 1.6;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
}

@font-face {
    font-family: "Baloo2-Bold";
    src: url("../fonts/Baloo2-Bold.ttf") format("truetype");
}
.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

header {
    background-color: #5C3D2E;
    padding: 20px 0;
    position: sticky;
    min-height: 110px;
    top: 0;
    z-index: 1000;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
}

section {
    scroll-margin-top: 100px;
}
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    
}



.logo a {
    display: flex;
    align-items: center;
    gap: 14px;
    color: white;
    text-decoration: none;
    font-size: 30px;
    font-family: "Baloo2-Bold";
}

.logo img {
    height: 96px;
    width: auto;
    display: block;
    

}

.nav-menu {
    list-style: none;
    display: flex;
    gap: 30px;
}

.nav-menu a {
    color: white;
    text-decoration: none;
    font-size: 17px;
    font-weight: 500;
    transition: color 0.3s ease;
    font-family: "Baloo2-Bold";
}

.nav-menu a:hover {
    color: #f4a261;
}

.hero-logo {
    height: 80px;
    margin-bottom: 20px;
}

.hero {
    background: linear-gradient(to right, #F5ECD5, #f8dd97);
    color: #5C3D2E;
    min-height: 60vh;
    display: flex;
    align-items: center;
}

.hero-layout {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 40px;
}
.hero-text {
    flex: 1;
    max-width: 600px;
}

.hero-image {
    flex: 1;
    display: flex;
    justify-content: center;
}

.hero-image img {
    max-width: 340px;
    width: 100%;
    height: auto;
    display: block;
}


.hero-content {
    max-width: 650px;
}

.hero h1 {
    font-size: 56px;
    margin-bottom: 20px;
    line-height: 1.1;
    color: #5C3D2E;
    font-family: "Baloo2-Bold";
}

.hero p {
    font-size: 22px;
    margin-bottom: 35px;
    color: #5C3D2E;
}

.btn {
    display: inline-block;
    background-color: #5C3D2E;
    color: white;
    
    padding: 14px 28px;
    text-decoration: none;
    border-radius: 8px;
    font-weight: bold;
    transition: all 0.3s ease;
    border: 2px solid transparent;
    font-family: "Baloo2-Bold";
    
    
}

.game-buttons .btn {
    min-width: 120px;
    text-align: center;
}

.game-buttons {
    display: flex;
    justify-content: center;
    gap: 12px;
    margin-top: 20px;
}

.btn:hover {
    background-color: #916b59;
    color: #f4a261;
    transform: translateY(-2px);
}



.games {
    padding: 90px 0;
    background: linear-gradient(to left, #F5ECD5, #f8dd97);
}

.games h2 {
    text-align: center;
    font-size: 38px;
    margin-bottom: 50px;
    color: #5C3D2E;
    font-family: "Baloo2-Bold";
}

.games-grid {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
}

.game-card img {
    width: 100%;
    height: 170px;
    object-fit: cover;
    border-radius: 12px;
    margin-bottom: 18px;
    transition: transform 0.3s ease;
}

.game-card:hover img{
    transform: scale(1.03);
}

.game-card {
    overflow: hidden;
    background-color: #EADBC8;
    border-radius: 18px;
    padding: 30px;
    width: 300px;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08);
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    min-height: 420px;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.coming-soon {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
   
}


.game-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.12);
}

.game-card h3 {
    font-size: 24px;
    margin-bottom: 15px;
    color: #5C3D2E;
    font-family: "Baloo2-Bold";
}

.game-card p {
    font-size: 18px;
    margin-bottom: 20px;
    color: #5C3D2E;
}

.btn-small {
    display: inline-block;
    background-color: #5C3D2E;
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 8px;
    transition: all 0.3s ease;
    font-weight: bold;
    border: 2px solid transparent;
    font-family: "Baloo2-Bold";
}

.btn-small:hover {
    background-color: #916b59;
    color: #f4a261;
    transform: translateY(-2px);
}

.back-link {
    display: flex;
    justify-content: center;
    margin-top: 35px;
}

.bottom-back {
    margin-top: 40px;
}

.btn-back {
    display: inline-block;
    padding: 10px 18px;
    border-radius: 8px;
    background-color: #5C3D2E;
    color: white;
    
    text-decoration: none;
    font-weight: bold;
    font-family: "Baloo2-Bold";
    transition: all 0.3s ease;
}

.btn-back:hover {
    background-color: #916b59;
    color: #f4a261;
    transform: translateY(-2px);
}
.about {
    padding: 90px 0;
    background: linear-gradient(to right, #F5ECD5, #f8dd97);
}

.about-content {
    display: flex;
    justify-content: center;
}

.about .btn {
    display: inline-block;
    margin-top: 20px;
}


.about-text {
    max-width: 800px;
    text-align: center;
}

.about h2 {
    font-size: 38px;
    margin-bottom: 25px;
    color: #5C3D2E;
    font-family: "Baloo2-Bold";
}

.about p {
    font-size: 18px;
    line-height: 1.8;
    color: #5C3D2E;
    margin-bottom: 20px;
}

.about-detail {
    padding: 80px 0;
    background: linear-gradient(to right, #F5ECD5, #f8dd97);
}

.about-detail h1 {
    text-align: center;
    font-size: 42px;
    margin-bottom: 30px;
    font-family: "Baloo2-Bold";
    color: #5C3D2E;
}

.about-detail p {
    max-width: 800px;
    margin: 0 auto 20px;
    text-align: center;
    font-size: 18px;
    color: #5C3D2E;
}

.about-main {
    flex: 1;
    background: linear-gradient(to right, #F5ECD5, #f8dd97);
}


.contact {
    display: flex;
    justify-content: center;
    background: linear-gradient(to left, #F5ECD5, #f8dd97);
    padding: 80px 0;
}

.contact h2 {
    display: flex;
    justify-content: center;
    color: #5C3D2E;
    font-family: "Baloo2-Bold";
    margin-bottom: 20px;
   
}

.contact-info {
    text-align: center;
    margin-top: 20px;
}

.contact-info p {
    margin: 15px 0;
    line-height: 1.6;
}

.contact-info a {
    color: #2a4cff;
    text-decoration: none;
    font-weight: 500;
}

.contact-info a:hover {
    text-decoration: underline;
}

.contact p{
    color: #5C3D2E;
    font-size: 18px;
}
.footer {
    background-color: #5C3D2E;
    color: white;
    text-align: center;
    padding: 30px 0;
    font-family: "Baloo2-Bold";
    min-height: 120px;
    display: flex;
    align-items: center;
}

.footer .container {
    width: 100%;
}

.footer p {
    font-size: 16px;
    letter-spacing: 0.5px;
    margin: 4px 0;
}
.hamburger {
    display: none;
    font-size: 30px;
    color: white;
    cursor: pointer;
}

@media (max-width: 768px) {


    header {
        min-height: 122px;

    }
    .hero-layout {
        flex-direction: column;
        text-align: center;
    }

    .hero-text {
        max-width: 100%;
    }

    .hero-image img {
        max-width: 180px;
    }

    .navbar {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        position: relative;

       
    }

    .logo span {
        display: none;
    }

     .logo a {
        display: flex;
        align-items: center;
        gap: 0;
        font-size: 0;
        max-width: none;
        overflow: visible;
        white-space: normal;
    }

    .logo img {
        height: 82px;
        width: auto;
        flex-shrink: 0;
    }

    .hamburger {
        display: block;
        font-size: 30px;
        color: white;
        cursor: pointer;
        flex-shrink: 0;
    }

    .nav-menu {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 100%;
        right: 0;
        background-color: #5C3D2E;
        width: 220px;
        padding: 20px;
        border-radius: 0 0 0 10px;
        z-index: 2000;
       
    }

    .nav-menu.active {
        display: flex;

    }
    .nav-menu a {
        padding: 10px 0;
    }

    .hero {
       
        
        padding: 60px 0;
    }

    .game-card img {
    height: 140px;
}

    .game-detail-text{
        font-size: 17px;
        padding: 24px;
    }


    .game-detail-text p,
    .game-detail-text li {
        font-size: 17px;
        line-height: 1.7;
}
    .game-detail-text h2 {
         font-size: 26px;
}

    .game-features {
         margin: 20px 0 30px 20px;
         text-align: left;
    }
    
    .hero h1 {
        font-size: 40px;
    }

    .hero p {
        font-size: 18px;
    }

    .games h2,
    .about h2 {
        font-size: 30px;
    }

    .game-card {
        width: 100%;
        max-width: 350px;
    }

    .about p {
        font-size: 18px;
        text-align: center;
        
    }

    

    .hero .btn {
    margin: 0 auto;
    display: block;
    }
     .game-buttons {
        flex-direction: column;   
        align-items: center;
        margin-top: 60px;
              
    }

    
    .game-buttons .btn {
        width: 100%;
        max-width: 120px;
        gap: 12px;
        display: flex;
        align-items: center;
        justify-content: center;
        
        
    }
    
}

.game-card img {
    height: 140px;
    
}


.game-detail {
    padding: 80px 0;
    background: linear-gradient(to left, #F5ECD5, #f8dd97);
}

.game-detail h1 {
    font-size: 48px;
    font-family: "Baloo2-Bold";
    margin-bottom: 15px;
    text-align: center;
    color: #5C3D2E;
}

.game-subtitle {
    text-align: center;
    font-size: 20px;
    margin-bottom: 40px;
    color: #5f4b3e;
}

.game-detail-image {
    max-width: 700px;
    
    margin: 0 auto 40px;
}

.game-detail-image img {
    width: 60%;
    height: auto;
    margin: 0 auto;
    border-radius: 16px;
    display: block;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.12);
}



.game-gallery {
    display: flex;
    gap: 15px;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 20px;
    margin-bottom: 50px;
}

.game-gallery img {
    width: 180px;
    border-radius: 12px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.game-gallery img:hover {
    transform: scale(1.05);
}

.game-gallery img {
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}


.game-detail-text {
    max-width: 800px;
    margin: 0 auto;
    color: #5C3D2E;
    background-color: #EADBC8;
    padding: 30px;
    border-radius: 16px;
    font-size: 18px;
    line-height: 1.8;
}

.game-detail-text p,
.game-detail-text li {
    font-size: 18px;
    line-height: 1.8;
}

.game-detail-text h2 {
    margin-top: 30px;
    margin-bottom: 15px;
    font-size: 30px;
    color: #5C3D2E;
    font-family: "Baloo2-Bold";
    border-bottom: 2px solid rgba(92, 61, 46, 0.2);
    padding-bottom: 5px;
}

.game-features {
    margin: 20px 0 30px 25px;
}

.game-features li {
    margin-bottom: 10px;
    font-size: 18px;
}

.game-download-text {
    margin-bottom: 30px;

}

.game-download-text1 {
    margin-bottom: 40px;

}

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;

    z-index: 2000;
}

.lightbox img {
    max-width: 90%;
    max-height: 80%;
    border-radius: 12px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.5);
    cursor: pointer;
    opacity: 1;
    transition: opacity 0.3s ease;
}

.lightbox img.fade-out {
    opacity: 0;
}

.lightbox-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 50px;
    color: white;
    cursor: pointer;
    user-select: none;
    padding: 20px;
}

.lightbox-arrow.left {
    left: 30px;
}

.lightbox-arrow.right {
    right: 30px;
}

.lightbox-arrow:hover {
    color: #f4a261;
}




